Loading...
Searching...
No Matches
xkb_rmlvo_builder Struct Reference
Rules

`#include <xkbcommon.h>`

## Public Member Functions

XKB_EXPORT struct xkb_rmlvo_builder * | xkb_rmlvo_builder_new (struct xkb_context *context, const char *rules, const char *model, enum xkb_rmlvo_builder_flags flags)
XKB_EXPORT bool | xkb_rmlvo_builder_append_layout (struct xkb_rmlvo_builder *rmlvo, const char *layout, const char *variant, const char *const *options, size_t options_len)
XKB_EXPORT bool | xkb_rmlvo_builder_append_option (struct xkb_rmlvo_builder *rmlvo, const char *option)
XKB_EXPORT struct xkb_rmlvo_builder * | xkb_rmlvo_builder_ref (struct xkb_rmlvo_builder *rmlvo)
XKB_EXPORT void | xkb_rmlvo_builder_unref (struct xkb_rmlvo_builder *rmlvo)

## Detailed Description

Opaque RMLVO configuration object.

It denotes the configuration values by which a user picks a keymap.

See also
  Introduction to RMLVO
  Rules

Since
  1.11.0

The documentation for this struct was generated from the following file:

- include/xkbcommon/xkbcommon.h